summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2011-08-28 03:31:40 +0200
committer Niels Horn2011-08-28 03:31:40 +0200
commit7294be94dd7088ffdfc9a3e165aa12b1b346e019 (patch)
tree7998e703c8fd17096e0d7edd71526cbd506d0ed8
parent3432e12fcc6ab1691f69fc15cab357e80ac37339 (diff)
downloadslackbuilds-7294be94dd7088ffdfc9a3e165aa12b1b346e019.tar.gz
audio/jack-tools: Added (tools for jack)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--audio/jack-tools/README14
-rw-r--r--audio/jack-tools/jack-tools.SlackBuild108
-rw-r--r--audio/jack-tools/jack-tools.info10
-rw-r--r--audio/jack-tools/slack-desc19
4 files changed, 151 insertions, 0 deletions
diff --git a/audio/jack-tools/README b/audio/jack-tools/README
new file mode 100644
index 0000000000..ca14e075e1
--- /dev/null
+++ b/audio/jack-tools/README
@@ -0,0 +1,14 @@
+This collection contains a bunch of small tools for
+jack-audio-connection-kit written by Rohan Drape for the JACK low latency
+audio API.
+
+Included utilities:
+
+jack.clock - JACK Transport Publication Daemon
+jack.ctl - JACK Session Manager
+jack.play - JACK Sound File Player
+jack.plumbing - JACK Plumbing Daemon
+jack.scope - JACK Oscilloscope
+jack.udp - JACK UDP Transport Client
+
+This requires jack-audio-connection-kit.
diff --git a/audio/jack-tools/jack-tools.SlackBuild b/audio/jack-tools/jack-tools.SlackBuild
new file mode 100644
index 0000000000..4d1cf43d4e
--- /dev/null
+++ b/audio/jack-tools/jack-tools.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for jack-tools
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=jack-tools
+VERSION=${VERSION:-0.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# This thing is packaged strangely. The tarball contains a bunch of
+# sub-tarballs named sw-NN where NN is a 2-digit number completely
+# unrelated to the contents of the code within...
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION.orig
+tar xvf $CWD/${PRGNAM}_$VERSION.orig.tar.gz
+cd $PRGNAM-$VERSION.orig
+
+# sw-26, aka jack.ctl, has no configure script or Makefile
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1 $PKG/usr/doc/$PRGNAM-$VERSION/jack.ctl
+tar xvf sw-26.tar.bz2
+install -m0755 -oroot -groot sw-26/jack.ctl $PKG/usr/bin
+install -m0644 -oroot -groot sw-26/jack.ctl.1 $PKG/usr/man/man1
+install -m0644 -oroot -groot sw-26/ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION/jack.ctl/
+rm -rf sw-26 sw-26.tar.bz2
+
+for src in *.tar.bz2; do
+ tar xvf $src
+ cd $( basename $src .tar.bz2 )
+ chown -R root:root .
+ find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+ sh autogen.sh
+
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+ make clean all
+ make install-strip DESTDIR=$PKG
+
+ srcname=$( ls *.1 | head -1 | sed 's/\.1$//' )
+ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/$srcname/
+ for doc in README ChangeLog ANNOUNCE; do
+ [ -e $doc ] && cp $doc $PKG/usr/doc/$PRGNAM-$VERSION/$srcname/
+ done
+
+ cd -
+done
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# COPYING is identical in every subdirectory, just include one copy.
+cp sw-04/COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/jack-tools/jack-tools.info b/audio/jack-tools/jack-tools.info
new file mode 100644
index 0000000000..83dc9fbe78
--- /dev/null
+++ b/audio/jack-tools/jack-tools.info
@@ -0,0 +1,10 @@
+PRGNAM="jack-tools"
+VERSION="0.0.2"
+HOMEPAGE="http://packages.ubuntu.com/hardy/jack-tools"
+DOWNLOAD="http://archive.ubuntu.com/ubuntu/pool/universe/j/jack-tools/jack-tools_0.0.2.orig.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="d824e3c18f1eb9da1fff4a59a9397d20"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Niels Horn"
diff --git a/audio/jack-tools/slack-desc b/audio/jack-tools/slack-desc
new file mode 100644
index 0000000000..460bbe4587
--- /dev/null
+++ b/audio/jack-tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+jack-tools: jack-tools (tools for jack)
+jack-tools:
+jack-tools: This collection contains a bunch of small tools for
+jack-tools: jack-audio-connection-kit written by Rohan Drape for the JACK low
+jack-tools: latency audio API.
+jack-tools:
+jack-tools:
+jack-tools:
+jack-tools:
+jack-tools:
+jack-tools: